/** @format */

@font-face {
  font-family: "Montserrat Arabic";
  src: url("/assets/fonts/Montserrat-Arabic-275.otf") format("opentype");
  font-weight: 275;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat Arabic";
  src: url("/assets/fonts/Montserrat-Arabic-300.otf") format("opentype");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat Arabic";
  src: url("/assets/fonts/Montserrat-Arabic-400.otf") format("opentype");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat Arabic";
  src: url("/assets/fonts/Montserrat-Arabic-500.otf") format("opentype");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat Arabic";
  src: url("/assets/fonts/Montserrat-Arabic-600.otf") format("opentype");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat Arabic";
  src: url("/assets/fonts/Montserrat-Arabic-700.otf") format("opentype");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat Arabic";
  src: url("/assets/fonts/Montserrat-Arabic-800.otf") format("opentype");
  font-weight: 800;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat Arabic";
  src: url("/assets/fonts/Montserrat-Arabic-900.otf") format("opentype");
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

:root {
  --primary-color: #cd1b3a;
  --secondary-color: #fc6a03;
  --background-color: #3b2f2f;
  --inner-primary: #cd1c39;
  --dark-color: #111827;
  --dark-color-tone: #535353;
  --light-dark-color: #4b5563;
  --white-color: #fff;
  --overlay-opacity: 0.5;
}

*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-weight: normal;
}

html {
  scroll-behavior: smooth;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
  min-height: 100vh;
  max-width: 100%;
  transition: color 0.5s, background-color 1s;
  line-height: 1.4;
  font-family: "Montserrat Arabic", "Segoe UI", Tahoma, Geneva, Verdana,
    sans-serif;
  font-size: 1rem;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* Utility Improvements */
a {
  color: inherit;
  text-decoration: none;
}

img,
svg {
  display: block;
  max-width: 100%;
}

button {
  cursor: pointer;
}

/* Content CSS */
nav {
  position: fixed;
  top: 0;
  height: 60px;
  width: 100%;
  background: transparent;
  z-index: 2;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0.5rem 2rem;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
  transition: all 300ms ease-in;
}

.nav-links {
  height: 100%;
  display: none;
  align-items: center;
  justify-content: center;
}

nav .logo {
  max-width: 60px;
}

nav .dropdown-toggle {
  width: 100%;
}

nav a,
nav .dropdown-toggle {
  font-family: inherit;
  height: auto;
  padding: 16px;
  background: none;
  color: #8f8e8e;
  font-size: 1rem;
  font-weight: 500;
  text-decoration: none;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border: none;
  z-index: 1;
  overflow: hidden;
  white-space: nowrap;
  cursor: pointer;
  transition: color 0.3s ease;
}

.dropdown-toggle .arrow {
  margin-left: 16px;
  font-size: 1.25rem;
  transition: transform 0.3s ease;
}

.dropdown-toggle {
  font-family: inherit;
  background: none;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: inherit;
  text-decoration: none;
  border: none;
  z-index: 1;
  overflow: hidden;
  white-space: nowrap;
  cursor: pointer;
  transition: color 0.3s ease;
}

nav a::before,
nav .dropdown-toggle::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--primary-color);
  border-radius: 14px;
  z-index: -1;
  transform: scale(0);
  transform-origin: center;
  transition: transform 0.4s ease;
}

nav a:hover::before,
.dropdown-toggle:hover:before {
  /* here */
  transform: scale(1);
}

nav a:hover,
.dropdown-toggle:hover {
  color: var(--white-color);
}

nav.nav-dark .nav-links a {
  color: var(--secondary-color);
}

#mobile-menu-btn {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  border: none;
  cursor: pointer;
  width: 2.25rem;
  height: 2.25rem;
  background-color: transparent;
  padding: 0;
}

nav #mobile-menu-btn span {
  width: 2.25rem;
  height: 0.25rem;
  background-color: #8f8e8e;
  transition: all 0.3s ease;
}

/* nav scrolled mode  */
nav.scrolled {
  height: 60px;
  width: 100%;
  background: var(--white-color);
  padding: 0.5rem 3rem;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
  transition: all 300ms ease-out;
}

/* Mobile-only aside menu */
#mobile-menu-btn-close {
  /* display: flex;
  align-items: flex-end;
  justify-content: flex-end; */
  height: 42px;
  width: 42px;
  background: transparent;
  border: none;
  text-align: center;
  font-size: 2.5rem;
  position: absolute;
  top: 16px;
  right: 32px;
  color: var(--secondary-color);
  border-radius: 50%;
  transition: background 300ms ease;
}

#mobile-menu-btn-close:hover {
  background-color: #f0f0f0;
}

nav .dropdown-menu {
  list-style: none;
}

.dropdown-menu {
  padding-left: 1em;
  overflow: hidden;
  max-height: 0;
  transition: max-height 0.4s ease;
  flex-direction: column;
}

.dropdown.open .dropdown-menu {
  max-height: 500px;
}

.dropdown.open .dropdown-toggle .arrow {
  transform: rotate(-180deg);
}

.mobile-nav {
  position: fixed;
  top: 0;
  right: -100%;
  height: 100vh;
  width: 250px;
  background: #fff;
  overflow: auto;
  padding: 4rem 2rem;
  display: flex;
  flex-direction: column;
  transition: right 0.3s ease;
  z-index: 1000;
  box-shadow: -2px 0 8px rgba(0, 0, 0, 0.1);
}

.mobile-nav a {
  min-height: 54px;
  height: 54px;
}

.link-list {
  padding-left: 16px;
  color: var(--secondary-color);
  list-style-type: none;
}

.link-list li a:hover {
  color: var(--white-color);
}

.mobile-nav.open {
  right: 0;
}

.menu-overlay {
  display: none;
  position: fixed;
  inset: 0;
  background-color: rgba(0, 0, 0, var(--overlay-opacity));
  z-index: 999;
}

.menu-overlay.active {
  display: block;
}

.desktop-nav {
  display: block;
}

section {
  padding: 60px 20px;
  height: auto;
  min-height: 100vh;
  width: 100vw;
  max-width: 100%;
}

section.min-sized {
  height: auto;
  min-height: auto;
}

.container {
  height: 100%;
  max-width: 100vw;
  margin: auto;
}

section.min-sized .container {
  height: auto;
}

.container[side="center"] {
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.container[column] {
  flex-direction: column;
}

.main-content-two {
  height: 100%;
  flex-direction: column;
  color: var(--white-color);
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
}

.main-content-two > * {
  flex: 1;
}

.percentage-bar {
  margin-top: 8px;
  width: 100%;
  height: 6px;
  background-color: var(--dark-color-tone);
  border-radius: 8px;
  overflow: hidden;
}

.percentage-bar .fill {
  height: 100%;
  background-color: var(--primary-color);
  transition: width 0.3s ease;
}

.simple-list {
  color: var(--dark-color);
  list-style-type: none;
}

.simple-list li {
  margin: 24px 0 24px 24px;
}

.left-side {
  text-align: left;
}

.text-center {
  text-align: center;
}

.right-side {
  text-align: right;
}

.text-justify {
  text-align: justify;
}
/* main { */
/* margin-top: 80px; */
/* } */

.inner-btn {
  width: fit-content;
  padding: 8px 32px;
  background: var(--inner-primary);
  color: var(--white-color);
  display: inline-block;
  align-items: center;
  justify-content: center;
  border-radius: 32px;
  border: none;
  transition: all 300ms ease;
}

.inner-btn:hover {
  background: #a8182f;
}

.bold {
  font-weight: 600;
}

h1.title {
  color: var(--primary-color);
  font-size: 3rem;
  line-height: 1.1;
  font-weight: 600;
  margin: 1rem 0;
}

h2.title {
  color: var(--primary-color);
  font-size: 2rem;
  font-weight: 600;
  margin: 1rem 0;
}

h2.title[color="dark"] {
  color: var(--secondary-color);
}

h3.subtitle {
  color: var(--primary-color);
  font-size: 1.5rem;
  font-weight: 600;
  margin-bottom: 8px;
}

h5.p-header {
  color: var(--secondary-color);
  font-size: 1.5rem;
  font-weight: 500;
  margin: 8px 0;
}

.paragraph-lg {
  font-size: 1.25rem;
}

.font-primary {
  color: var(--primary-color) !important;
}

.font-secondary {
  color: var(--secondary-color) !important;
}

.font-dark {
  color: var(--dark-color) !important;
}

.font-light-dark {
  color: var(--dark-color-tone);
}

.font-white {
  color: var(--white-color);
}

.highlight {
  color: var(--secondary-color);
}

table {
  width: 100%;
  margin-bottom: 16px;
  border-collapse: collapse;
  background-color: #fff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.05);
  border-radius: 8px;
  overflow: hidden;
}

thead {
  background-color: var(--primary-color);
  color: #fff;
}

th,
td {
  padding: 15px;
  text-align: center;
  border-bottom: 1px solid #ddd;
  font-size: 16px;
}

tr:hover {
  background-color: #f1f1f1;
}

th:first-child,
td:first-child {
  text-align: left;
}

ul.triangle-bullet {
  list-style: none;
  padding-left: 1.2em;
  color: var(--secondary-color);
}

ul.triangle-bullet > li::before {
  content: "▶";
  margin-right: 0.5rem;
  font-size: 2rem;
  color: var(--primary-color);
}

ul.triangle-bullet ul {
  padding-left: 48px;
}

.home-bullet-container {
  display: flex;
  flex-direction: column;
  gap: 0;
}

.home-bullet-container-2 ul {
  padding-top: 24px;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 16px;
}

ul.home-bullet {
  list-style: none;
  padding-left: 1.2em;
  color: var(--dark-color);
}

ul.home-bullet > li,
ul.home-bullet > div > li {
  font-size: 1.25rem;
  line-height: 40px;
  position: relative;
  padding-left: 1.5rem;
}

ul.home-bullet > li::before,
ul.home-bullet > div > li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 20px;
  height: 20px;
  background-image: url("/assets/images/home-bullet.jpeg");
  background-size: contain;
  background-repeat: no-repeat;
}

.sgcc-icon {
  padding: 30px;
  height: 250px;
  width: 250px;
  border-radius: 50%;
  background-color: #03aef3;
}
.sgcc-icon img {
  height: 100%;
  width: 100%;
}

.primary-btn {
  width: 230px;
  padding: 0.8rem 2rem;
  color: #fff;
  text-decoration: none;
  display: inline-block;
  background: transparent;
  border: 2px solid var(--secondary-color);
  border-radius: 28px;
  transition: background 0.6s ease;
}

.primary-btn:hover {
  background: var(--secondary-color);
}

.carousel-wrapper {
  position: relative;
  width: 90%;
  margin: auto;
  margin-top: 16px;
  /* overflow: hidden; */
  background: var(--white-color);
  border-radius: 8px;
  z-index: 1;
}

.carousel {
  overflow: hidden;
  width: 100%;
}

.slider-track {
  display: flex;
  padding: 16px;
  transition: transform 0.5s ease-in-out;
  gap: 16px;
}

.slider-card {
  flex: 0 0 100%;
  display: flex;
  gap: 16px;
}

.slider-card > * {
  flex: 1;
}

.slider-card .content-info {
  padding: 16px 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 16px;
}

.slider-card .content-info h6.title {
  color: #fc6a03;
  font-size: 16px;
  font-weight: 600;
}

.slider-card .content-info .description {
  text-align: left !important;
  font-size: 16px;
  font-weight: 400;
}

.nav {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: transparent;
  color: white;
  font-size: 2rem;
  border: none;
  padding: 0.5rem;
  cursor: pointer;
  z-index: 1;
}

.nav.left {
  left: -35px;
}

.nav.right {
  right: -35px;
}

/* Accordion */

.accordion {
  width: 100%;
  max-width: 600px;
  margin: auto;
  padding-top: 150px;
}

.accordion-item {
  border-top: 1px solid var(--light-dark-color);
  overflow: hidden;
}

.accordion-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 24px 16px 0 16px;
  cursor: pointer;
}

.accordion-header .number {
  font-size: 1rem;
  font-weight: 200;
}

.accordion-header .title {
  color: var(--dark-color);
  font-size: 2rem;
  flex-grow: 1;
  padding: 0 16px;
}

.accordion-header .toggle {
  font-size: 2rem;
  transition: transform 0.3s;
  font-weight: 200;
}

.accordion-content {
  padding: 0 16px 24px 16px;
  opacity: 0;
  max-height: 0;
  transform: scaleY(0);
  transform-origin: top;
  overflow: hidden;
  transition: max-height 0.5s ease, opacity 0.3s ease, transform 0.5s ease;
}

.accordion-content p {
  color: var(--secondary-color);
}

.accordion-header.active .toggle {
  transform: rotate(45deg);
}

.accordion-header.active + .accordion-content {
  opacity: 1;
  max-height: 150px; /* or whatever max you expect */
  transform: scaleY(1);
}

.four-column-container {
  padding-top: 24px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 32px;
}

.mb-md {
  margin-bottom: 24px !important;
}

.mt-md {
  margin-top: 24px !important;
}

.pd-lg {
  padding-left: 40px !important;
}

.footer {
  background-color: var(--background-color);
  color: var(--white-color);
  padding: 40px 15px;
  font-size: 0.8rem;
}

.footer h2 {
  font-size: 1rem;
  color: var(--primary-color);
  margin-bottom: 12px;
  font-weight: 500;
}

.footer p,
.footer ul li {
  line-height: 1.6;
  margin-bottom: 10px;
}

.footer ul {
  padding-left: 24px;
}

.footer a {
  color: var(--white-color);
  text-decoration: none;
  transition: color 300ms ease;
}

.footer a:hover,
footer .dropdown-toggle:hover {
  color: var(--secondary-color);
}

.footer-container {
  display: flex;
  flex-direction: column;
  row-gap: 30px;
  column-gap: 46px;
  max-width: 1200px;
  margin: 0 auto;
}

.footer-column {
  flex: 1;
}

.copyright.desktop {
  display: none;
}

@media (min-width: 61rem) {
  nav {
    height: 120px;
  }

  .nav-links {
    display: flex;
  }

  .desktop-nav {
    display: none;
  }

  .footer-container {
    flex-direction: row;
    justify-content: space-between;
  }

  .container {
    max-width: 1200px;
  }

  .slider-card {
    flex: 0 0 33.3333%;
  }
  .carousel-wrapper {
    width: 100%;
    margin-top: 16px;
  }

  .main-content-two {
    flex-direction: row;
  }

  .main-content-two.invert {
    flex-direction: row-reverse;
  }

  .home-bullet-container {
    flex-direction: row;
    gap: 60px;
  }

  .home-bullet-container-2 ul {
    grid-template-columns: repeat(2, 1fr);
  }

  .four-column-container {
    grid-template-columns: repeat(4, 1fr);
  }

  .copyright.desktop {
    display: inline-block;
  }
  
  .copyright.mobile {
    display: none;
  }
}
